Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.parsing
Class ReaderContext

    java.lang.Object
      org.springframework.beans.factory.parsing.ReaderContext

Direct Known Subclasses:
  XmlReaderContext

    public class ReaderContext

extends Object

Context that gets passed along a bean definition reading process, encapsulating all relevant configuration as well as state.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller

Constructor Summary
`ReaderContext(Resource resource, ProblemReporter problemReporter, ReaderEventListener eventListener, SourceExtractor sourceExtractor)`

Method Summary
`void` | `error(String message, Object source)`
`void` | `error(String message, Object source, ParseState parseState)`
`void` | `error(String message, Object source, ParseState parseState, Throwable cause)`
`void` | `error(String message, Object source, Throwable ex)`
`Object` | `extractSource(Object sourceCandidate)`
`void` | `fatal(String message, Object source)`
`void` | `fatal(String message, Object source, ParseState parseState)`
`void` | `fatal(String message, Object source, ParseState parseState, Throwable cause)`
`void` | `fatal(String message, Object source, Throwable ex)`
`void` | `fireAliasRegistered(String beanName, String alias, Object source)`
`void` | `fireComponentRegistered(ComponentDefinition componentDefinition)`
`void` | `fireDefaultsRegistered(DefaultsDefinition defaultsDefinition)`
`void` | `fireImportProcessed(String importedResource, Object source)`
`void` | `fireImportProcessed(String importedResource, Resource[] actualResources, Object source)`
`Resource` | `getResource()`
`SourceExtractor` | `getSourceExtractor()`
`void` | `warning(String message, Object source)`
`void` | `warning(String message, Object source, ParseState parseState)`
`void` | `warning(String message, Object source, ParseState parseState, Throwable cause)`
`void` | `warning(String message, Object source, Throwable ex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReaderContext

    public ReaderContext(Resource resource,
                         ProblemReporter problemReporter,
                         ReaderEventListener eventListener,
                         SourceExtractor sourceExtractor)

Method Detail

### getResource

    public final Resource getResource()

### fatal

    public void fatal(String message,
                      Object source)

### fatal

    public void fatal(String message,
                      Object source,
                      Throwable ex)

### fatal

    public void fatal(String message,
                      Object source,
                      ParseState parseState)

### fatal

    public void fatal(String message,
                      Object source,
                      ParseState parseState,
                      Throwable cause)

### error

    public void error(String message,
                      Object source)

### error

    public void error(String message,
                      Object source,
                      Throwable ex)

### error

    public void error(String message,
                      Object source,
                      ParseState parseState)

### error

    public void error(String message,
                      Object source,
                      ParseState parseState,
                      Throwable cause)

### warning

    public void warning(String message,
                        Object source)

### warning

    public void warning(String message,
                        Object source,
                        Throwable ex)

### warning

    public void warning(String message,
                        Object source,
                        ParseState parseState)

### warning

    public void warning(String message,
                        Object source,
                        ParseState parseState,
                        Throwable cause)

### fireDefaultsRegistered

    public void fireDefaultsRegistered(DefaultsDefinition defaultsDefinition)

### fireComponentRegistered

    public void fireComponentRegistered(ComponentDefinition componentDefinition)

### fireAliasRegistered

    public void fireAliasRegistered(String beanName,
                                    String alias,
                                    Object source)

### fireImportProcessed

    public void fireImportProcessed(String importedResource,
                                    Object source)

### fireImportProcessed

    public void fireImportProcessed(String importedResource,
                                    Resource[] actualResources,
                                    Object source)

### getSourceExtractor

    public SourceExtractor getSourceExtractor()

### extractSource

    public Object extractSource(Object sourceCandidate)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.